Package org.w3c.tidy

# Class StreamInJavaImpl

java.lang.Object
org.w3c.tidy.StreamInJavaImpl

All Implemented Interfaces:
  `StreamIn`

public class StreamInJavaImpl extends Object implements StreamIn
StreamIn Implementation using java writers.

Version:
  $Revision: 1095 $ ($Author: aditsu $)
Author:
  Fabrizio Giustina

## Field Summary

### Fields inherited from interface org.w3c.tidy.StreamIn

`END_OF_STREAM`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`StreamInJavaImpl(InputStream stream, String encoding, int tabsize)`
Instantiates a new StreamInJavaImpl.
`protected`
`StreamInJavaImpl(Reader reader, int tabsize)`
Instantiates a new StreamInJavaImpl.

## Method Summary

Modifier and Type
Method
Description
`int`
`getCurcol()`
Getter for `curcol`.
`int`
`getCurline()`
Getter for `curline`.
`boolean`
`isEndOfStream()`
Has end of stream been reached?
`int`
`readChar()`
Read a char.
`int`
`readCharFromStream()`
reads a char from the stream.
`void`
`setLexer(Lexer lexer)`
Setter for lexer instance (needed for error reporting).
`void`
`ungetChar(int c)`
Unget a char.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StreamInJavaImpl

protected StreamInJavaImpl(InputStream stream, String encoding, int tabsize) throws UnsupportedEncodingException
Instantiates a new StreamInJavaImpl.

Parameters:
  `stream` -
  `encoding` -
  `tabsize` -
Throws:
  `UnsupportedEncodingException`

### StreamInJavaImpl

protected StreamInJavaImpl(Reader reader, int tabsize)
Instantiates a new StreamInJavaImpl.

Parameters:
  `tabsize` -
  `stream` -
  `encoding` -

## Method Details

### readCharFromStream

public int readCharFromStream()
Description copied from interface: `StreamIn`
reads a char from the stream.

Specified by:
  `readCharFromStream` in interface `StreamIn`
Returns:
  char
See Also:
  - `StreamIn.readCharFromStream()`

### readChar

public int readChar()
Description copied from interface: `StreamIn`
Read a char.

Specified by:
  `readChar` in interface `StreamIn`
Returns:
  char
See Also:
  - `StreamIn.readChar()`

### ungetChar

public void ungetChar(int c)
Description copied from interface: `StreamIn`
Unget a char.

Specified by:
  `ungetChar` in interface `StreamIn`
Parameters:
  `c` - char
See Also:
  - `StreamIn.ungetChar(int)`

### isEndOfStream

public boolean isEndOfStream()
Description copied from interface: `StreamIn`
Has end of stream been reached?

Specified by:
  `isEndOfStream` in interface `StreamIn`
Returns:
  `true` if end of stream has been reached
See Also:
  - `StreamIn.isEndOfStream()`

### getCurcol

public int getCurcol()
Getter for `curcol`.

Specified by:
  `getCurcol` in interface `StreamIn`
Returns:
  Returns the curcol.

### getCurline

public int getCurline()
Getter for `curline`.

Specified by:
  `getCurline` in interface `StreamIn`
Returns:
  Returns the curline.

### setLexer

public void setLexer(Lexer lexer)
Description copied from interface: `StreamIn`
Setter for lexer instance (needed for error reporting).

Specified by:
  `setLexer` in interface `StreamIn`
Parameters:
  `lexer` - Lexer
See Also:
  - `StreamIn.setLexer(org.w3c.tidy.Lexer)`